ranges::views::cycle_fn Struct Reference

## Description

Returns an infinite range that endlessly repeats the source range.

Inheritance diagram for ranges::views::cycle_fn:

## Synopsis of methods

constexpr view_closure< cycle_fn > | cycle {}

## Public Member Functions

template<typename Rng >
auto | operator() (Rng &&rng) const -> cycled_view< all_t< Rng >> requires viewable_range< Rng > &&forward_range< Rng >

## Member Function Documentation

## operator()()

template<typename Rng >

auto ranges::views::cycle_fn::operator() | ( | Rng && | rng | ) | const -> cycled_view<all_t<Rng>> requires viewable_range<Rng> && forward_range<Rng>

Precondition
  `!empty(rng)`